﻿using System;
using System.Collections;
using System.Collections.Generic;
using PushPlatform.Data;

namespace PushPlatform.Data
{
    public partial class SelectItemDetail : EntityBase
    {
        #region Default Constructor
        /// <summary>
        /// Initializes a new instance of the <see cref="Account"/> class.
        /// </summary>
        public SelectItemDetail()
        {
            Initialize();
        }
        
        public SelectItemDetail(SelectItemDetail model)
        {
            Initialize();
            this.Id=model.Id;
            this.Value=model.Value;
            this.Description=model.Description;
            this.Select_Type=model.Select_Type;
            this.Create_User=model.Create_User;
            this.Create_Time=model.Create_Time;
            this.Update_User=model.Update_User;
            this.Update_Time=model.Update_Time;
            this.Is_Deleted=model.Is_Deleted;
            this.Timestamp=model.Timestamp;
        }

        protected override void Initialize()
        {
            OnCreated();
        }
        
        #endregion
        
        #region Column Mapped Properties
        
        
        private System.String _identification;
        
        public virtual System.String Id
        {
            get { return _identification; }
            set
            {
                _identification = value;
            }
        }
        
        private System.String _value;
        
        public virtual System.String Value
        {
            get { return _value; }
            set
            {
                _value = value;
            }
        }
        
        private System.String _description;
        
        public virtual System.String Description
        {
            get { return _description; }
            set
            {
                _description = value;
            }
        }
        
        private System.Int32 _selectType;
        
        public virtual System.Int32 Select_Type
        {
            get { return _selectType; }
            set
            {
                _selectType = value;
            }
        }
        
        private System.String _createUser;
        
        public virtual System.String Create_User
        {
            get { return _createUser; }
            set
            {
                _createUser = value;
            }
        }
        
        private System.DateTime _createTime;
        
        public virtual System.DateTime Create_Time
        {
            get { return _createTime; }
            set
            {
                _createTime = value;
            }
        }
        
        private System.String _updateUser;
        
        public virtual System.String Update_User
        {
            get { return _updateUser; }
            set
            {
                _updateUser = value;
            }
        }
        
        private System.DateTime? _updateTime;
        
        public virtual System.DateTime? Update_Time
        {
            get { return _updateTime; }
            set
            {
                _updateTime = value;
            }
        }
        
        private System.SByte _isDeleted;
        
        public virtual System.SByte Is_Deleted
        {
            get { return _isDeleted; }
            set
            {
                _isDeleted = value;
            }
        }
        
        private System.Int64 _timestamp;
        
        public virtual System.Int64 Timestamp
        {
            get { return _timestamp; }
            set
            {
                _timestamp = value;
            }
        }
        
        
        
        
        
        
        
        #endregion
        
        #region Associations Mappings
        
        #endregion
        
        #region Extensibility Method
        
        static partial void AddSharedRules();
        
        partial void OnCreated();
        
        
        #endregion
        
        
    }
}

